> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fluently.at/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Conversation

> Returns one conversation by its ID.



## OpenAPI

````yaml GET /api/developers/v1/conversations/{id}
openapi: 3.0.3
info:
  title: Developer API
  version: 1.0.0
servers:
  - url: https://app.fluently.at
security:
  - bearerAuth: []
paths:
  /api/developers/v1/conversations/{id}:
    get:
      tags:
        - Conversations
      summary: Get a single conversation
      description: Returns one conversation by its ID.
      operationId: getConversationById
      parameters:
        - name: id
          in: path
          description: The conversation’s ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Conversation detail
          content:
            application/json:
              schema:
                type: object
                properties:
                  conversation:
                    $ref: '#/components/schemas/DeveloperConversationDetailResponse'
                required:
                  - conversation
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '500':
          $ref: '#/components/responses/InternalError'
components:
  schemas:
    DeveloperConversationDetailResponse:
      type: object
      properties:
        id:
          type: string
        agent:
          type: string
        cost:
          type: number
          format: float
        from:
          type: string
        to:
          type: string
        duration:
          type: number
        createdAt:
          type: string
          format: date-time
        transcript:
          type: array
          items:
            type: object
            properties:
              role:
                type: string
                enum:
                  - user
                  - agent
              content:
                type: string
            required:
              - role
              - content
      required:
        - id
        - agent
        - cost
        - from
        - to
        - duration
        - createdAt
        - transcript
    BadRequestResponse:
      type: object
      properties:
        message:
          type: string
      required:
        - message
    UnauthorizedResponse:
      type: object
      properties:
        success:
          type: boolean
          example: false
        message:
          type: string
      required:
        - success
        - message
    ErrorResponse:
      type: object
      properties:
        success:
          type: boolean
          example: false
        message:
          type: string
      required:
        - success
        - message
  responses:
    BadRequest:
      description: Invalid or missing parameter
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BadRequestResponse'
    Unauthorized:
      description: Missing or invalid Authorization header or token
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UnauthorizedResponse'
    InternalError:
      description: Internal server error during authentication or processing
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````